Retrieve revocation list
/v2/credentials/web-semantic/revocation-lists/{id}Returns the revocation list matching the provided ID.
Path Parameters
Revocation list ID. This value can be found within the credential you created. Look at the value for Credential.credential.credentialStatus.id, the string after https://tenant.vii.mattr.global/v1/revocation-lists/ is what you're looking for
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3"{
"id": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3",
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://w3id.org/vc-revocation-list-2020/v1"
],
"type": [
"VerifiableCredential",
"RevocationList2020Credential"
],
"issuer": "did:web:organization.com",
"issuanceDate": "2020-05-02T12:06:29.156Z",
"credentialSubject": {
"type": "RevocationList2020",
"encodedList": "H4sIAAAAAAAAA-3BMQEAAADCoPVPbQwfoAAAAAAAAAAAAAAAAAAAAIC3AYbSVKsAQAAA"
},
"proof": {
"type": "Ed25519Signature2018",
"created": "2020-05-02T12:06:29Z",
"jws": "EXAMPLE_JWS_TOKEN_eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
"proofPurpose": "assertionMethod",
"verificationMethod": "did:web:organization.com#CU6dJt9p8t"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve credential revocation status GET
Returns the revocation status of the credential matching the provided ID. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_START * CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_FAIL
Create a revocation message payload POST
Returns a message in JWM format that can be used to notify subjects based on their credential revocation status change. To send a notification to the Subject DID holder, use the returned payload with the [encrypt](#operation/encryptMessage) and [send](#operation/sendMessage) endpoints. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_START * CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_FAIL